Reliance LG LSP 340 Series WLL Modem Setup HOWTO
Prev |  | Next

# 4. Checking for PPP Support

Although PPP support is provided in almost all Linux distributions but it is still better to check whether it is present on your system. You can use checkconfig or, better still, look into the `/usr/sbin` directory and locate PPP binaries with the command

ls `-al` `ppp*`

If you get a listing like this:

    -rwxr-xr-x  1 root root   3438 2005-05-28 14:56 ppp-go*
    -rwxr-xr-x  1 root bin    1787 2004-02-26 21:36 ppp-off*
    lrwxrwxrwx  1 root root      6 2005-05-28 14:17 ppp-on -> ppp-go*
    lrwxrwxrwx  1 root root      7 2005-05-28 14:17 ppp-stop -> ppp-off*
    -rwxr-xr-x  1 root bin  346812 2004-02-26 21:36 pppd*
    -rwxr-xr-x  1 root bin   37916 2004-02-26 21:36 pppdump*
    -rwxr-xr-x  1 root bin   25936 2003-03-02 22:05 pppoe*
    -rwxr-xr-x  1 root bin   22308 2003-03-02 22:05 pppoe-relay*
    -rwxr-xr-x  1 root bin   35084 2003-03-02 22:05 pppoe-server*
    -rwxr-xr-x  1 root bin   12028 2003-03-02 22:05 pppoe-sniff*
    -rwxr-xr-x  1 root bin   58527 2004-02-26 21:36 pppsetup*
    -rwxr-xr-x  1 root bin    9192 2004-02-26 21:36 pppstats*

then PPP support is definitely present.

Similarly, look into `/etc/ppp` directory, which contains the PPP options file and some other files configuring PPP:

    -rw-------   1 root root   78 2004-02-26 21:36 chap-secrets
    -rw-------   1 root root 1625 2005-05-28 14:35 connect-errors
    -rw-r--r--   1 root root  938 2003-03-02 22:04 firewall-masq
    -rw-r--r--   1 root root  836 2003-03-02 22:04 firewall-standalone
    -rwxr-xr-x   1 root root 1208 2005-05-28 14:56 ip-down*
    -rwxr-xr-x   1 root root 1208 2005-05-28 14:29 ip-down.OLD*
    -rwxr-xr-x   1 root root 1945 2005-05-28 14:56 ip-up*
    -rwxr-xr-x   1 root root 1945 2005-05-28 14:29 ip-up.OLD*
    -rw-------   1 root root  541 2005-05-28 14:58 options
    -rw-------   1 root root  656 2005-05-28 14:56 options.demand
    -rw-r--r--   1 root root 9975 2005-05-28 11:21 options.old
    -rw-------   1 root root  216 2005-05-28 14:56 pap-secrets
    drwxr-xr-x   2 root root 4096 2003-03-02 22:05 plugins/
    -rw-r--r--   1 root root  104 2003-03-02 22:04 pppoe-server-options
    -rw-r--r--   1 root root 4562 2003-03-02 22:04 pppoe.conf
    -rw-------   1 root root  129 2005-05-28 15:12 pppscript
    -rw-------   1 root root 8941 2005-05-28 14:56 pppsetup.txt

For the sake of safety do copy your original options file to a file `options.old` so that you can revert back to your original setup should you have troubles.

See the PPP HOWTO Chapter 10 for more information on PPP support in the Linux kernel.

Prev | Home | Next
Activating Internet Services on your Handset |  | Configuring your Phone